Permalink
Browse files

Fix urls from rename linalgwrap -> lazyten

  • Loading branch information...
mfherbst committed Aug 6, 2017
1 parent bda72a3 commit 7c57ad7d26fdd0959a831a610362ea819fee9ab8
Showing with 29 additions and 28 deletions.
  1. +4 −4 .gitmodules
  2. +1 −1 .travis.yml
  3. +2 −2 .ycm_extra_conf.py
  4. +3 −3 README.md
  5. +8 −7 cmake/setup_dependencies.cmake
  6. +1 −1 gtags.conf
  7. +1 −1 modules/krims
  8. +1 −0 modules/lazyten
  9. +0 −1 modules/linalgwrap
  10. +1 −0 src/lazyten
  11. +0 −1 src/linalgwrap
  12. +6 −6 update_from_sister_repos.sh
  13. +1 −1 update_from_sisters.lib.sh
View
@@ -1,6 +1,3 @@
[submodule "modules/linalgwrap"]
path = modules/linalgwrap
url = https://github.com/linalgwrap/linalgwrap
[submodule "modules/gscf"]
path = modules/gscf
url = https://github.com/molsturm/gscf
@@ -9,7 +6,10 @@
url = https://github.com/molsturm/gint
[submodule "modules/krims"]
path = modules/krims
url = https://github.com/linalgwrap/krims
url = https://github.com/lazyten/krims
[submodule "modules/rapidcheck"]
path = modules/rapidcheck
url = https://github.com/emil-e/rapidcheck
[submodule "modules/lazyten"]
path = modules/lazyten
url = https://github.com/lazyten/lazyten
View
@@ -60,7 +60,7 @@ addons:
packages:
- ninja-build
#
# Packages for linalgwrap
# Packages for lazyten
- libarmadillo-dev
- libboost-dev
- liblapack-dev
View
@@ -56,12 +56,12 @@ def BuildBaseFlags():
'-isystem', './modules/gint/src',
'-isystem', './modules/gscf/src',
'-isystem', './modules/krims/src',
'-isystem', './modules/linalgwrap/src',
'-isystem', './modules/lazyten/src',
'-isystem', './modules/gint/external/sturmint/src',
'-isystem', builddir + '/modules/gint/src',
'-isystem', builddir + '/modules/gscf/src',
'-isystem', builddir + '/modules/krims/src',
'-isystem', builddir + '/modules/linalgwrap/src',
'-isystem', builddir + '/modules/lazyten/src',
'-isystem', builddir + '/modules/gint/external/sturmint/src',
#
'-isystem', './modules/rapidcheck/include',
View
@@ -24,14 +24,14 @@ provided that *all* of the following requirements are met:
- To build the compiled part of the ``molsturm`` python module:
- [``swig``](http://swig.org/) >= 2.0.11
- [``python``](https://www.python.org/) >= 3.4, including the development headers
- To build the [``linalgwrap``](https://linalgwrap.org) linear algebra library
- To build the [``lazyten``](https://lazyten.org) linear algebra library
you will need
- A BLAS implementation, e.g. [OpenBLAS](https://github.com/xianyi/OpenBLAS/)
- A LAPACK compatible library, e.g. [LAPACK](http://netlib.org/lapack)
- [armadillo](http://arma.sourceforge.net/)
See [github.com/linalgwrap/linalgwrap](https://github.com/linalgwrap/linalgwrap/blob/master/README.md)
for more details about ``linalgwrap``'s dependencies.
See [github.com/lazyten/lazyten](https://github.com/lazyten/lazyten/blob/master/README.md)
for more details about ``lazyten``'s dependencies.
On a recent **Debian/Ubuntu** the following should install the required packages
```
@@ -39,12 +39,13 @@ Try \"git submodule update --init --recursive\"")
LIMIT_COUNT 1)
string(REGEX MATCH "[0-9.]+" ${LIBRARY}_VERSION "${VERSION_RAW}")
# Compare against what is needed
if("${${LIBRARY}_VERSION}" VERSION_LESS "${VERSION}")
message(FATAL_ERROR "Inconsistency in the repo: Version ${VERSION} of ${LIBRARY} \
was requested, but only version ${${LIBRARY}_VERSION} was found. Maybe a \
\"git submodule update --init --recursive\" helps?")
endif()
# TODO due to inconsistency in linalgwrap/lazyten this check is disabled for now.
# # Compare against what is needed
# if("${${LIBRARY}_VERSION}" VERSION_LESS "${VERSION}")
# message(FATAL_ERROR "Inconsistency in the repo: Version ${VERSION} of ${LIBRARY} \
#was requested, but only version ${${LIBRARY}_VERSION} was found. Maybe a \
#\"git submodule update --init ${${LIBRARY}_SOURCE_DIR}\" helps?")
# endif()
# Set the project up:
add_subdirectory("${${LIBRARY}_SOURCE_DIR}")
@@ -79,6 +80,6 @@ endif()
#######################
add_submodule_dependency(krims 0.0.0)
add_submodule_dependency(linalgwrap 0.2.0)
add_submodule_dependency(lazyten 0.2.0)
add_submodule_dependency(gint 0.0.0)
add_submodule_dependency(gscf 0.0.0)
View
@@ -1,3 +1,3 @@
default:\
:langmap=c\:.c,yacc\:.y,asm\:.s.S,java\:.java,cpp\:.c++.cc.hh.cpp.cxx.hxx.hpp.C.H.h,php\:.php.php3.phtml\
:skip=HTML/,HTML.pub/,tags,TAGS,ID,y.tab.c,y.tab.h,gtags.files,cscope.files,cscope.out,cscope.po.out,cscope.in.out,SCCS/,RCS/,CVS/,CVSROOT/,{arch}/,autom4te.cache/,*.orig,*.rej,*.bak,*~,#*#,*.swp,*.tmp,*_flymake.*,*_flymake,/build/,/modules/*/build/,/modules/*/external/,/src/linalgwrap/,/src/gint/,/src/gscf/,/src/krims/:
:skip=HTML/,HTML.pub/,tags,TAGS,ID,y.tab.c,y.tab.h,gtags.files,cscope.files,cscope.out,cscope.po.out,cscope.in.out,SCCS/,RCS/,CVS/,CVSROOT/,{arch}/,autom4te.cache/,*.orig,*.rej,*.bak,*~,#*#,*.swp,*.tmp,*_flymake.*,*_flymake,/build/,/modules/*/build/,/modules/*/external/,/src/lazyten/,/src/gint/,/src/gscf/,/src/krims/:
Submodule krims updated 2 files
+2 −2 AUTORS.md
+2 −2 README.md
Submodule lazyten added at cf9467
Submodule linalgwrap deleted from 1c6735
View
View

This file was deleted.

Oops, something went wrong.
@@ -24,14 +24,14 @@
update_file "gint" ".travis/update_cached_libint.sh" || exit 1
update_file "linalgwrap" "templates/py.template" "keep_header" || exit 1
update_file "linalgwrap" "templates/cc.template" "keep_header" || exit 1
update_file "linalgwrap" "templates/cmake.template" "keep_header" || exit 1
update_file "linalgwrap" "templates/hh.template" "keep_header" || exit 1
update_file "linalgwrap" "templates/README.md" || exit 1
update_file "lazyten" "templates/py.template" "keep_header" || exit 1
update_file "lazyten" "templates/cc.template" "keep_header" || exit 1
update_file "lazyten" "templates/cmake.template" "keep_header" || exit 1
update_file "lazyten" "templates/hh.template" "keep_header" || exit 1
update_file "lazyten" "templates/README.md" || exit 1
update_file "krims" "doc/Doxyfile.in" || exit 1
update_file "krims" ".clang-format" || exit 1
update_file "krims" ".clang-tidy" || exit 1
update_file "linalgwrap" "update_from_sisters.lib.sh" || exit 1
update_file "lazyten" "update_from_sisters.lib.sh" || exit 1
@@ -20,7 +20,7 @@
## ---------------------------------------------------------------------
## DO NOT EDIT
## This file is automatically generated from a file in the repository "linalgwrap".
## This file is automatically generated from a file in the repository "lazyten".
## Edit the original and call the script "update_from_sister_repos.sh" instead.
# A script file which contains a script licence header

0 comments on commit 7c57ad7

Please sign in to comment.